# OnMeKick

Local user is being kicked from a channel

Parameters

    $0 = source nickname
    $1 = source username
    $2 = source hostname
    $3 = kick reason

Window
Channel
Description

Triggered when the local user has been kicked from a channel.
The KICK message has already been processed by the server , so the user is effectively no longer on the channel. On the other side, it might be useful to access the user-related channel data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the channel internal structures (and thus BEFORE the channel data itself gets destroyed).
Sine this event is triggered in the chanel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the kick message output.

See also
OnKick

Index, Events

KVIrc 3.2.0 Documentation
Generated by root at Fri Nov 3 18:07:32 2006